## org.hibernate.metamodel.relational
Class CheckConstraint

    java.lang.Object
      org.hibernate.metamodel.relational.CheckConstraint

    public class CheckConstraint

extends Object

TODO : javadoc

Constructor Summary
`CheckConstraint(Table table)`
`CheckConstraint(Table table, String name, String condition)`

Method Summary
`String` `getCondition()`
`String` `getName()` Obtain the constraint name.
`Table` `getTable()` Obtain the table to which this constraint applies.
`void` `setCondition(String condition)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckConstraint

    public CheckConstraint(Table table)

### CheckConstraint

    public CheckConstraint(Table table,
                           String name,
                           String condition)

Method Detail

### getCondition

    public String getCondition()

### setCondition

    public void setCondition(String condition)

### getTable

    public Table getTable()

  Obtain the table to which this constraint applies.

  Returns:
    The constrained table.

### getName

    public String getName()

  Obtain the constraint name.

  Returns:
    the name.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.